package ibase.webitm.ejb.adm.adv;

import java.sql.Connection;
import java.rmi.RemoteException;
import ibase.webitm.utility.ITMException;
import ibase.webitm.ejb.ActionHandlerRemote;// added for ejb3
import javax.ejb.Remote; // added for ejb3

@Remote
public interface PayrollVoucherConfRemote extends ActionHandlerRemote 
{
	public String confirm(String tranId, String xtraParams) throws RemoteException,ITMException;
	
	public String confirm(String tranId, String xtraParams, Connection conn) throws RemoteException,ITMException;
	
 	public String confirm(String tranId, String forcedFlag, String xtraParams) throws RemoteException,ITMException;

	public String confirm(String tranId, String forcedFlag, String xtraParams,  Connection conn) throws RemoteException,ITMException;
}

